package com.tzld.longarticle.recommend.server.web.recommend;

import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.ArticleDangerFindDeleteParam;
import com.tzld.longarticle.recommend.server.service.recommend.ArticleAuditService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/articleAudit")
@Slf4j
public class ArticleAuditController {

    @Autowired
    private ArticleAuditService service;


    @GetMapping("/articleVideoAudit")
    public void articleVideoAudit(String dateStr) {
        service.articleVideoAudit(dateStr);
    }

    @GetMapping("/articleVideoAuditResult")
    public CommonResponse<Void> articleVideoAuditResult(String param) {
        service.articleVideoAuditResult(param);
        return CommonResponse.success();
    }

    @GetMapping("/saveDeleteRecord")
    public CommonResponse<String> saveDeleteRecord(Long videoId) {
        return CommonResponse.success(service.saveDeleteRecord(videoId));
    }

    @PostMapping("/titleDangerFindDelete")
    public CommonResponse<Void> titleDangerFindDelete(@RequestBody ArticleDangerFindDeleteParam param) {
        service.titleDangerFindDelete(param);
        return CommonResponse.success();
    }

    @GetMapping("/articleVideoDelete")
    public void articleVideoDelete() {
        service.articleVideoDelete(null);
    }
}
