package com.tzld.longarticle.recommend.server;

import com.alibaba.fastjson.JSONObject;
import com.tzld.longarticle.recommend.server.model.vo.IntermediateIndicatorsExport;
import com.tzld.longarticle.recommend.server.model.vo.NewSortStrategyExport;
import com.tzld.longarticle.recommend.server.service.recommend.DataDashboardService;
import com.tzld.longarticle.recommend.server.util.DateUtils;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.List;

@SpringBootTest(classes = Application.class)
@Slf4j
public class DataDashboardTest {

    @Resource
    DataDashboardService dataDashboardService;

    @Test
    public void test() {
        List<IntermediateIndicatorsExport> result = dataDashboardService.intermediateIndicatorsData("20241129");
        log.info(JSONObject.toJSONString(result));
    }

    @Test
    public void newSortStrategyData() {
        List<NewSortStrategyExport> result = dataDashboardService.newSortStrategyData("20241222",
                "20241223", "9", 0);
        log.info(JSONObject.toJSONString(result));
    }

    @Test
    public void producePlanAuditExport() {
        List<String> dateStrList = DateUtils.getBeforeDays(null, null, 90);
        for (String dateStr : dateStrList) {
            dataDashboardService.producePlanAuditExport(dateStr);
        }
    }

}
